Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.openexr
Class OpenExrImageWriter

    java.lang.Object
      javax.imageio.ImageWriter
          de.grogra.openexr.OpenExrImageWriter

All Implemented Interfaces:
  javax.imageio.ImageTranscoder

    public class OpenExrImageWriter

extends javax.imageio.ImageWriter

Author:
  Reinhard Hemmerling

Field Summary

Fields inherited from class javax.imageio.ImageWriter
`availableLocales, locale, originatingProvider, output, progressListeners, warningListeners, warningLocales`

Constructor Summary
`OpenExrImageWriter(javax.imageio.spi.ImageWriterSpi imageWriterSpi)`

Method Summary
`javax.imageio.metadata.IIOMetadata` | `convertImageMetadata(javax.imageio.metadata.IIOMetadata inData, javax.imageio.ImageTypeSpecifier imageType, javax.imageio.ImageWriteParam param)`
`javax.imageio.metadata.IIOMetadata` | `convertStreamMetadata(javax.imageio.metadata.IIOMetadata inData, javax.imageio.ImageWriteParam param)`
`javax.imageio.metadata.IIOMetadata` | `getDefaultImageMetadata(javax.imageio.ImageTypeSpecifier imageType, javax.imageio.ImageWriteParam param)`
`javax.imageio.metadata.IIOMetadata` | `getDefaultStreamMetadata(javax.imageio.ImageWriteParam param)`
`void` | `write(javax.imageio.metadata.IIOMetadata streamMetadata, javax.imageio.IIOImage image, javax.imageio.ImageWriteParam param)`

Methods inherited from class javax.imageio.ImageWriter
`abort, abortRequested, addIIOWriteProgressListener, addIIOWriteWarningListener, canInsertEmpty, canInsertImage, canRemoveImage, canReplaceImageMetadata, canReplacePixels, canReplaceStreamMetadata, canWriteEmpty, canWriteRasters, canWriteSequence, clearAbortRequest, dispose, endInsertEmpty, endReplacePixels, endWriteEmpty, endWriteSequence, getAvailableLocales, getDefaultWriteParam, getLocale, getNumThumbnailsSupported, getOriginatingProvider, getOutput, getPreferredThumbnailSizes, prepareInsertEmpty, prepareReplacePixels, prepareWriteEmpty, prepareWriteSequence, processImageComplete, processImageProgress, processImageStarted, processThumbnailComplete, processThumbnailProgress, processThumbnailStarted, processWarningOccurred, processWarningOccurred, processWriteAborted, removeAllIIOWriteProgressListeners, removeAllIIOWriteWarningListeners, removeIIOWriteProgressListener, removeIIOWriteWarningListener, removeImage, replaceImageMetadata, replacePixels, replacePixels, replaceStreamMetadata, reset, setLocale, setOutput, write, write, writeInsert, writeToSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenExrImageWriter

    public OpenExrImageWriter(javax.imageio.spi.ImageWriterSpi imageWriterSpi)

Method Detail

### convertImageMetadata

    public javax.imageio.metadata.IIOMetadata convertImageMetadata(javax.imageio.metadata.IIOMetadata inData,
                                                                   javax.imageio.ImageTypeSpecifier imageType,
                                                                   javax.imageio.ImageWriteParam param)

  Specified by:
    `convertImageMetadata` in interface `javax.imageio.ImageTranscoder`
  Specified by:
    `convertImageMetadata` in class `javax.imageio.ImageWriter`

### convertStreamMetadata

    public javax.imageio.metadata.IIOMetadata convertStreamMetadata(javax.imageio.metadata.IIOMetadata inData,
                                                                    javax.imageio.ImageWriteParam param)

  Specified by:
    `convertStreamMetadata` in interface `javax.imageio.ImageTranscoder`
  Specified by:
    `convertStreamMetadata` in class `javax.imageio.ImageWriter`

### getDefaultImageMetadata

    public javax.imageio.metadata.IIOMetadata getDefaultImageMetadata(javax.imageio.ImageTypeSpecifier imageType,
                                                                      javax.imageio.ImageWriteParam param)

  Specified by:
    `getDefaultImageMetadata` in class `javax.imageio.ImageWriter`

### getDefaultStreamMetadata

    public javax.imageio.metadata.IIOMetadata getDefaultStreamMetadata(javax.imageio.ImageWriteParam param)

  Specified by:
    `getDefaultStreamMetadata` in class `javax.imageio.ImageWriter`

### write

    public void write(javax.imageio.metadata.IIOMetadata streamMetadata,
                      javax.imageio.IIOImage image,
                      javax.imageio.ImageWriteParam param)
               throws java.io.IOException

  Specified by:
    `write` in class `javax.imageio.ImageWriter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD